
Redmine - Defect #26853

Fix hardcoded project-index width for webkit and mozilla browsers

2017-09-07 13:56 - Ilya Malahovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Related issues:

Related to Redmine - Feature #26494: Add ability to enable\disable multiple c... Closed

Related to Redmine - Defect #28708: Project display should have text belongin... Closed

Related to Redmine - Feature #29482: Query system for Projects page Closed

Related to Redmine - Patch #29951: Quick design fix/proposals for projects in... Closed

Has duplicate Redmine - Defect #27174: Projects page show incorrect format wh... Closed

Has duplicate Redmine - Defect #27399: Issue in project list Closed

Has duplicate Redmine - Defect #27556: Changes in the project view, the infor... Closed

Has duplicate Redmine - Defect #27558: Project view looks like is a bug in v3... Closed

Has duplicate Redmine - Defect #28005: Broken Project page Closed

Has duplicate Redmine - Feature #28473: Using the classical 'list' view on pr... Closed

Has duplicate Redmine - Defect #28122: Organization of Projects Closed

History

#1 - 2017-09-07 18:05 - Toshi MARUYAMA

- File after.png added

- File before.png added

- Status changed from New to Needs feedback

Please explain why you need your change.

And your change breaks project list on multiple columns introduced by r15910.
https://www.redmine.org/projects/redmine/repository/svn/revisions/15910


 

#2 - 2017-09-08 16:15 - Ilya Malahovskiy

Please add descriptions to projects and check this page on hight resolution(1080p for example), and you will see the problem.

#3 - 2017-09-25 13:22 - Ilya Malahovskiy

- File redmine_before.png added

- File redmine_after.png added

Before

 redmine_before.png 

After

 redmine_after.png 

#4 - 2017-09-25 13:48 - Toshi MARUYAMA

Why do you keep "column-width: 400px;"?

#5 - 2017-09-25 15:29 - Ilya Malahovskiy

Please view diff file. In source code "400px", I changed it to auto.

What are you do not understand?

#6 - 2017-09-25 17:13 - Toshi MARUYAMA

You changed "-webkit-column-width:" and "-moz-column-width:" but not "column-width:".

#7 - 2017-09-25 17:19 - Ilya Malahovskiy

I tried to change "column-width:", but it is not affected on this issue. May be it affect on old browsers, I do not know for what it. Or may be it affect on

mobile view.

#8 - 2017-10-05 19:32 - Ilya Malahovskiy

What information do you need?

#9 - 2017-10-12 14:58 - Toshi MARUYAMA

- Has duplicate Defect #27174: Projects page show incorrect format when I use firefox and use bitnami Version 3.4.2-4 redmine setup. added

#10 - 2017-11-04 14:30 - Toshi MARUYAMA

Ilya Malahovskiy wrote:

What information do you need?

 Did you try Windows IE and Edge?

#11 - 2017-11-08 18:01 - Toshi MARUYAMA

- Has duplicate Defect #27399: Issue in project list added

#12 - 2017-11-18 16:50 - Marius BĂLTEANU

- Has duplicate Defect #27556: Changes in the project view, the information is displayed in the form of columns. added

#13 - 2017-11-18 16:50 - Marius BĂLTEANU
- Has duplicate Defect #27558: Project view looks like is a bug in v3.4.3 added

#14 - 2018-01-17 13:24 - Toshi MARUYAMA

- Has duplicate Defect #28005: Broken Project page added

#15 - 2018-01-22 15:59 - Isaiah Lim

Got the same issue on a fresh install of v3.4.4-stable on Raspbian.

Anyway, here is my $0.02, after analyzing and playing with it.

This feature works as intended when the 'Projects' page is heavily populated with content. An example would be: https://www.r-labs.org/projects

But for a page that has a few projects/sub-projects, when the descriptions are split into multiple columns, it looks really ugly.

Is there a way to only split the content into columns if the browser height is exceeded?

Another alternative is to add an option to enable/disable columns?

#16 - 2018-02-24 20:32 - Mischa The Evil

- Related to Feature #26494: Add ability to enable\disable multiple columns on project list page added

#17 - 2018-04-02 06:16 - Go MAEDA

- Has duplicate Feature #28473: Using the classical 'list' view on projects added

#18 - 2018-05-09 03:58 - Go MAEDA

- Related to Defect #28708: Project display should have text belonging to project in same column added

#19 - 2018-09-02 18:59 - Marius BĂLTEANU

- Related to Feature #29482: Query system for Projects page added

#20 - 2018-11-11 22:29 - Marius BĂLTEANU

- Related to Patch #29951: Quick design fix/proposals for projects index page added

#21 - 2018-11-11 22:30 - Marius BĂLTEANU

I've added some design proposals for the projects page in #29951.

#22 - 2019-01-21 21:38 - Marius BĂLTEANU

- Has duplicate Defect #28122: Organization of Projects added

#23 - 2019-01-21 21:45 - Marius BĂLTEANU

- Tracker changed from Patch to Defect

- Status changed from Needs feedback to Closed

- Resolution set to Fixed

This problem was fixed in latest Redmine versions (3.4.8 and 4.0.1), please see #29951 for more details. Now root projects with their subprojects are

shown in their own box without breaking on multiple columns. Any feedback is welcome regarding the new projects page design.

In #29482 we discuss the possibility to let users to chose the view (between the current projects page with multi columns and classical table list),

please watch that ticket for updates.

I'll close this issue because I think the root problem was fixed, please reopen if I'm wrong.
